Subject: bug#5603: 23.1.90; value of CPP not used in configure script

From: Peter Dyballa <[email-masked]>
Date: Thu, 17 May 2012 00:30:24 +0200

Am 16.05.2012 um 09:25 schrieb Glenn Morris:

> I can't tell what the issue is supposed to be here.

It's that I have set for configure the environment variable "CPP=llvm-cpp-4.2" because './configure --help' tells:

	Some influential environment variables:
	  CC          C compiler command
	  CFLAGS      C compiler flags
	  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
	              nonstandard directory <lib dir>
	  LIBS        libraries to pass to the linker, e.g. -l<library>
	  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
	              you have headers in a nonstandard directory <include dir>
	  CPP         C preprocessor
	  XMKMF       Path to xmkmf, Makefile generator for X Window System

But this does not seem to be true because it's

	+ ac_cv_prog_CPP='llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/lib'

that's used as C pre-processor. So either the configure script has a bug or its help function.

The mention of "-no-cpp-precomp" is more or less an additional remark.

--
Greetings

  Pete

’Twas a woman who drove me to drink, and I never had the courtesy to thank her for it.
				— W.C. Fields